import { useEffect } from "react";
import BasePostLayout from "../layout/BasePost/BasePostLayout";
import { useMainContext } from "../layout/MainProvider";
import MyPathListContainer from "./components/MyPathListContainer";
import { PostType } from "@nice/common";

export default function MyPathPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.PATH);
	}, [setSearchMode]);
	return (
		<BasePostLayout>
			<MyPathListContainer></MyPathListContainer>
		</BasePostLayout>
	);
}
